> ## Documentation Index
> Fetch the complete documentation index at: https://docs.shopsniffer.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Retry a failed or completed job

` POST /jobs/{id}/retry `

Retry a failed or completed job

## Servers

- ` https://shopsniffer.com/api `

## Authentication

The operation accepts these alternatives. Schemes within one alternative are required together.

### Alternative 1

- ` BearerAuth `: ` http `

  - HTTP scheme: ` bearer `

  - Clerk JWT token

## Parameters

### ` id ` (path, required)

- ` value `: type ` string `

## Responses

### ` 201 ` — New retry job created

### ` 400 ` — Job is not in a retryable state

### ` 401 ` — Unauthorized

### ` 404 ` — Job not found

## Request examples

### cURL

```curl
curl -X POST 'https://shopsniffer.com/api/jobs/string/retry' \
  -H 'Authorization: Bearer YOUR_API_TOKEN'
```

### JavaScript

```javascript
const response = await fetch('https://shopsniffer.com/api/jobs/string/retry', {
  method: 'POST',
  headers: {
      "Authorization": "Bearer YOUR_API_TOKEN"
  }
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

headers = {
    'Authorization': 'Bearer YOUR_API_TOKEN'
}

response = requests.post('https://shopsniffer.com/api/jobs/string/retry', headers=headers)
print(response.json())
```